/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.domen;

import java.io.Serializable;

/**
 *
 * @author user
 */
public class Address implements Serializable{
    private String street;
    private String streetNo;
    private City city;

    public Address() {
    }

    public Address(String street, String streetNo, City city) {
        this.street = street;
        this.streetNo = streetNo;
        this.city = city;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getStreetNo() {
        return streetNo;
    }

    public void setStreetNo(String streetNo) {
        this.streetNo = streetNo;
    }

    public City getCity() {
        return city;
    }

    public void setCity(City city) {
        this.city = city;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 23 * hash + (this.street != null ? this.street.hashCode() : 0);
        hash = 23 * hash + (this.streetNo != null ? this.streetNo.hashCode() : 0);
        hash = 23 * hash + (this.city != null ? this.city.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Address other = (Address) obj;
        if ((this.street == null) ? (other.street != null) : !this.street.equals(other.street)) {
            return false;
        }
        if ((this.streetNo == null) ? (other.streetNo != null) : !this.streetNo.equals(other.streetNo)) {
            return false;
        }
        if (this.city != other.city && (this.city == null || !this.city.equals(other.city))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Address{" + "street=" + street + ", streetNo=" + streetNo + ", city=" + city + '}';
    }
    
}
