/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.domen;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author user
 */
public class Employee implements Serializable{
    private String firstName;
    private String lastName;
    private Date birthday;
    private Company company;
    
    public Employee() {
    }

    public Employee(String firstName, String lastName, Date birthday, Company company) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.birthday = birthday;
        this.company = company;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Company getCompany() {
        return company;
    }

    public void setCompany(Company company) {
        this.company = company;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 71 * hash + (this.firstName != null ? this.firstName.hashCode() : 0);
        hash = 71 * hash + (this.lastName != null ? this.lastName.hashCode() : 0);
        hash = 71 * hash + (this.birthday != null ? this.birthday.hashCode() : 0);
        hash = 71 * hash + (this.company != null ? this.company.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Employee other = (Employee) obj;
        if ((this.firstName == null) ? (other.firstName != null) : !this.firstName.equals(other.firstName)) {
            return false;
        }
        if ((this.lastName == null) ? (other.lastName != null) : !this.lastName.equals(other.lastName)) {
            return false;
        }
        if (this.birthday != other.birthday && (this.birthday == null || !this.birthday.equals(other.birthday))) {
            return false;
        }
        if (this.company != other.company && (this.company == null || !this.company.equals(other.company))) {
            return false;
        }
        return true;
    }
    
    
}
