/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.config;

import javax.servlet.ServletRegistration;
import org.springframework.web.WebApplicationInitializer;
import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;
import org.springframework.web.servlet.DispatcherServlet;


/**
 *
 * @author user
 */
public class StepByStepWebInitializer implements WebApplicationInitializer {
    @Override
    public void onStartup(javax.servlet.ServletContext servletContext) throws javax.servlet.ServletException {
        System.out.println("\nStepByStepWebInitializer: onStartup******************************** START");
        
        //kreiraj web context: dispatcher servlet's Spring application context
        AnnotationConfigWebApplicationContext webContext = createWebContext();
        webContext.register(StepByStepMvcConfiguration.class);

        ServletRegistration.Dynamic dispatcher = servletContext.
                addServlet("dispatcher", new DispatcherServlet(webContext));
        dispatcher.setLoadOnStartup(1);
        dispatcher.addMapping("/");        
        System.out.println("\nStepByStepWebInitializer: onStartup******************************** END");
    }

    private AnnotationConfigWebApplicationContext createWebContext() {
        AnnotationConfigWebApplicationContext context = new AnnotationConfigWebApplicationContext();       
        return context;
    }

}
