/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.controller;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import spring.springmvstepbystep.domen.City;

/**
 *
 * @author user
 */
@Controller
@RequestMapping(value = "/city")
public class CityController {

    @RequestMapping(method = RequestMethod.GET)
    public String index() {
        System.out.println("******************spring.springmvstepbystep.controller.CityController.index()****************");
        return "addCity";
    }

//    @RequestMapping(method = RequestMethod.POST)
//    public String save(HttpServletRequest request) {
//        try {
//            String postNumber = request.getParameter("postNumber");
//            Long postNumberL = Long.parseLong(postNumber);
//            String name = request.getParameter("name");
//            City city = new City(postNumberL, name);
//
//            System.out.println("******************spring.springmvstepbystep.controller.CityController.save()****************");
//            System.out.println(city);
//            return "redirect:/city/addCity";
//        } catch (Exception e) {
//            request.setAttribute("exception", e);
//            return "/addCity";
//        }
//    }
        
//    @RequestMapping(method = RequestMethod.POST)
//    public String save(HttpServletRequest request,
//            @RequestParam(name = "postNumber") String postNumber,
//            @RequestParam String name,
//            RedirectAttributes redirect) {
//        try {
//            Long postNumberL = Long.parseLong(postNumber);
//            City city = new City(postNumberL, name);
//
//            System.out.println("******************spring.springmvstepbystep.controller.CityController.save()****************");
//            System.out.println(city);
//            return "redirect:/city/addCity";
//        } catch (Exception e) {
//            //request.setAttribute("exception", e);
//            redirect.addFlashAttribute("exception", e);            
//            return "redirect:/city/addCity";
//        }
//    }
    @RequestMapping(value = {"/"})
    public String home() {
        System.out.println("******************spring.springmvstepbystep.controller.CityController.home()****************");
        return "addCity";
    }

    @RequestMapping(value = {"addCity"})
    public String addCity() {
        System.out.println("******************spring.springmvstepbystep.controller.CityController.addCity()****************");
        return "addCity";
    }

    /* Binding */
    @ModelAttribute(name = "city")
    public City city() {
        System.out.println("@ModelAttribute: spring.springmvstepbystep.controller.CityController.city()");
        return new City(0, "n/a");
    }
    @ModelAttribute(name = "submitUrl")
    public String submitUrl() {
        return "/city/save";
    }

    @RequestMapping(value = {"addCityBind"})
    public String addCityBind() {
        System.out.println("@ModelAttribute: spring.springmvstepbystep.controller.CityController.addCityBind()");
        return "addCityBind";
    }

    @RequestMapping(value = "save", method = RequestMethod.POST)
    //@RequestMapping(method = RequestMethod.POST)
    public String save(@ModelAttribute(name = "city") City city) {
            System.out.println("******************spring.springmvstepbystep.controller.CityController.save()****************");
            System.out.println(city);
            return "redirect:/city/addCityBind";
    }

}
