/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.controller;

import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import spring.springmvstepbystep.domen.Address;
import spring.springmvstepbystep.domen.City;
import spring.springmvstepbystep.domen.Company;

/**
 *
 * @author user
 */
@Controller
@RequestMapping(value = "/company")
public class CompanyController {

    @ModelAttribute(name = "company")
    public Company company() {
        return new Company("n/a", new Address("n/a", "n/a", new City(0, "n/a")));
    }

    @ModelAttribute(name = "cities")
    public List<City> cities() {
        List<City> list = new ArrayList();
        list.add(new City(11000l, "Belgrade"));
        list.add(new City(16000l, "Leskovac"));
        list.add(new City(18000l, "Nis"));
        return list;
    }

    @RequestMapping(value = "addCompany", method = RequestMethod.GET)
    public String add() {
        return "addCompany";
    }

    @RequestMapping(value = "save", method = RequestMethod.POST)
    public String save(@Valid @ModelAttribute(name = "company") Company company, BindingResult results, HttpServletRequest request) {
        if (results.hasErrors()) {
            System.out.println("\nIma gresaka");
            System.out.println(results);            
            return "addCompany";
        }
        System.out.println(company);
        return "redirect:/company/addCompany";
    }

    
//     private void writePageParams(HttpServletRequest request, Map<String, Object> map) {
//        FlashMap outputFlashMap = RequestContextUtils.getOutputFlashMap(request);
//        if (outputFlashMap != null) {
//            outputFlashMap.put("page_params", map);
//        }
//    }
//    private void readPageParams(HttpServletRequest request, Company company) {
//        Map<String, ?> inputFlashMap = RequestContextUtils.getInputFlashMap(request);
//
//        if (inputFlashMap != null) {
//            if (inputFlashMap.containsKey("page_params")) {
//                Map<String, Object> map = (Map<String, Object>) inputFlashMap.get("page_params");
//                company = (Company) map.get("company");
//            }
//        }
//    }
}
