/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.domen;

import java.io.Serializable;

/**
 *
 * @author user
 */
public class City implements Serializable{
    private long postNumber;
    private String name;

    public City() {
    }

    public City(long postNumber, String name) {
        this.postNumber = postNumber;
        this.name = name;
    }

    public long getPostNumber() {
        return postNumber;
    }

    public void setPostNumber(long postNumber) {
        this.postNumber = postNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 37 * hash + (int) (this.postNumber ^ (this.postNumber >>> 32));
        hash = 37 * hash + (this.name != null ? this.name.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final City other = (City) obj;
        if (this.postNumber != other.postNumber) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "City{" + "postNumber=" + postNumber + ", name=" + name + '}';
    }
    
}
