/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvstepbystep.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.servlet.View;
import org.springframework.web.servlet.ViewResolver;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;
import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;
import org.springframework.web.servlet.view.BeanNameViewResolver;
import org.springframework.web.servlet.view.JstlView;
import org.springframework.web.servlet.view.UrlBasedViewResolver;
import spring.springmvstepbystep.interceptor.LoggingInterceptor;

/**
 *
 * @author user
 */
//@Configuration
@ComponentScan(basePackages = "spring.springmvstepbystep")
@EnableWebMvc
public class StepByStepMvcConfiguration extends WebMvcConfigurerAdapter {

    /* HandlerMapping */
//    @Bean
//    public RequestMappingHandlerMapping requestMappingHandlerMapping() {
//        RequestMappingHandlerMapping mapping = new RequestMappingHandlerMapping();
//        return mapping;
//    }

    @Bean
    public RequestMappingHandlerMapping requestMappingHandlerMapping() {
        RequestMappingHandlerMapping mapping = new RequestMappingHandlerMapping();
        mapping.setInterceptors(new Object[]{getLoggingHandler()});
        return mapping;
    }
    @Bean
    public LoggingInterceptor getLoggingHandler() {
        return new LoggingInterceptor();
    }        
}
