package spring.springmvccontroller.config;

import org.springframework.context.MessageSource;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.support.ResourceBundleMessageSource;
import org.springframework.format.FormatterRegistry;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.ViewControllerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;
import org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping;
import spring.springmvccontroller.domen.City;
import spring.springmvccontroller.formatter.CityFormatter;
import spring.springmvccontroller.interceptor.LoggingInterceptor;

@Configuration
@ComponentScan(basePackages = "spring.springmvccontroller")
@EnableWebMvc
public class MvcConfiguration extends WebMvcConfigurerAdapter {

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        registry.addResourceHandler("/resources/**").addResourceLocations("/resources/");
    }

//    @Override
//    public void addViewControllers(ViewControllerRegistry registry) {
//        registry.addViewController("/").setViewName("home");
//        registry.addViewController("/index").setViewName("home");
//    }

//    @Bean
//    public MessageSource messageSource() {
//        ResourceBundleMessageSource messageSource;
//        messageSource = new ResourceBundleMessageSource();
//        messageSource.setBasename("messages");
//        messageSource.setUseCodeAsDefaultMessage(true);
//        return messageSource;
//    }

//    @Bean
//    public ViewResolver getViewResolver() {
//        InternalResourceViewResolver resolver = new InternalResourceViewResolver();
//        resolver.setPrefix("/WEB-INF/views/");
//        resolver.setSuffix(".jsp");
//        return resolver;
//    }
//    @Bean(name = {"/city"})
//    public Controller city() {
//        ParameterizableViewController city = new ParameterizableViewController();
//        city.setViewName("city");
//        return city;
//    }
    
    
//    @Override
//    public void addFormatters(FormatterRegistry registry) {
//        registry.addFormatterForFieldType(City.class, new CityFormatter());
//    }
//
//    @Bean
//    public RequestMappingHandlerMapping requestMappingHandlerMapping() {
//        RequestMappingHandlerMapping mapping = new RequestMappingHandlerMapping();        
//        mapping.setInterceptors(new Object[]{getLoggingHandler()});
//        return mapping;
//    }
//
//    @Bean
//    public LoggingInterceptor getLoggingHandler() {
//        return new LoggingInterceptor();
//    }

}
