/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvccontroller.controller;

import java.util.ArrayList;
import java.util.List;
import javax.validation.Valid;
import org.springframework.stereotype.Controller;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import spring.springmvccontroller.domen.Address;
import spring.springmvccontroller.domen.City;
import spring.springmvccontroller.domen.Company;

/**
 *
 * @author user
 */
@Controller
@RequestMapping(value = "/company/*")
public class CompanyController {

    @ModelAttribute(name = "company")
    public Company company() {
        return new Company("n/a", new Address("n/a", "n/a", new City(0, "n/a")));
    }

    @ModelAttribute(name = "cities")
    public List<City> cities() {
        List<City> list = new ArrayList();
        list.add(new City(11000l, "Belgrade"));
        list.add(new City(16000l, "Leskovac"));
        list.add(new City(18000l, "Nis"));
        return list;
    }

    @RequestMapping(value = "add", method = RequestMethod.GET)
    public String add() {
        return "addCompany";
    }

    @RequestMapping(value = "save", method = RequestMethod.POST)
    public String save(@Valid @ModelAttribute(name = "company") Company company, BindingResult results) {
        if (results.hasErrors()) {
            System.out.println("\nIma gresaka");
            return "addCompany";
        }
        System.out.println(company);
        return "redirect:/company/add";
    }
   
}
