/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package spring.springmvccontroller.formatter;

import java.text.ParseException;
import java.util.Locale;
import org.springframework.format.Formatter;
import spring.springmvccontroller.domen.City;

/**
 *
 * @author user
 */
public class CityFormatter implements Formatter<City> {

    @Override
    public String print(City city, Locale locale) {
        if (city == null) {
            return "";
        }
        return city.toString();
    }

    @Override
    public City parse(String city, Locale locale) throws ParseException {
        if (city != null) {

            if (city.equalsIgnoreCase("0")) {
                return new City(0l, "Select One");
            }
            if (city.equalsIgnoreCase("11000")) {
                return new City(11000l, "Belgrade");
            }
            if (city.equalsIgnoreCase("16000")) {
                return new City(16000l, "Leskovac");
            }
            if (city.equalsIgnoreCase("18000")) {
                return new City(18000l, "Nis");
            }
        }
        return null;
    }

}
