<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<c:if test="${exception ne null}">
    <div class="error">${exception.message}</div>
</c:if>

    <form:form method="post" modelAttribute="city" action="../city/save">
    <fieldset>
        <legend>Register new city</legend>
        <table>
            <tr>
                <td><form:label path="postNumber">Post number</form:label></td>
                <td><form:input path="postNumber"/></td>
            </tr>
            <tr>
                <td><form:label path="name">Name</form:label></td>
                <td><form:input path="name"/></td>
            </tr>
            <tr><td colspan="2" align="center">
                    <button id="login">Save</button>
                </td></tr>
        </table>
    </fieldset>
</form:form>